aboutsummaryrefslogtreecommitdiff
path: root/games/libretro-ppsspp/libretro-ppsspp.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/libretro-ppsspp/libretro-ppsspp.SlackBuild')
-rw-r--r--games/libretro-ppsspp/libretro-ppsspp.SlackBuild12
1 files changed, 6 insertions, 6 deletions
diff --git a/games/libretro-ppsspp/libretro-ppsspp.SlackBuild b/games/libretro-ppsspp/libretro-ppsspp.SlackBuild
index de44889042544..d49aace409fc4 100644
--- a/games/libretro-ppsspp/libretro-ppsspp.SlackBuild
+++ b/games/libretro-ppsspp/libretro-ppsspp.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for libretro-ppsspp
-# Copyright 2016 Hunter Sezen
+# Copyright 2016-2017 Hunter Sezen
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PRGNAM=libretro-ppsspp
LIBNAM=ppsspp_libretro
-VERSION=${VERSION:-2016.12.14_5f7bcf7bf}
+VERSION=${VERSION:-2017.09.29_25d3bab}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -57,9 +57,7 @@ else
LIBDIRSUFFIX=""
fi
-DEBUG=${DEBUG:-0}
-
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -74,7 +72,9 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-make -C libretro DEBUG=$DEBUG
+[ "${DEBUG:=0}" != 0 ] && DEBUG=1
+
+make -C libretro DEBUG="$DEBUG"
install -Dm0644 libretro/$LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info